## ros-melodic-rosaic 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosaic)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  cpp_common
  rosconsole
  roscpp
  roscpp_serialization
  rostime
  xmlrpcpp
  sensor_msgs
  geometry_msgs
  diagnostic_msgs
  gps_common
  message_generation
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system thread regex)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a exec_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a exec_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
   FILES
   BlockHeader.msg
   PVTCartesian.msg
   PVTGeodetic.msg
   PosCovCartesian.msg
   PosCovGeodetic.msg
   AttEuler.msg
   AttCovEuler.msg
   Gpgga.msg
   Gprmc.msg
   Gpgsa.msg
   Gpgsv.msg
   GpgsvSatellite.msg
)

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
generate_messages(
    DEPENDENCIES
    std_msgs
    sensor_msgs
    diagnostic_msgs
    gps_common
)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a exec_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
   INCLUDE_DIRS include
   LIBRARIES 
   CATKIN_DEPENDS cpp_common rosconsole roscpp roscpp_serialization rostime xmlrpcpp message_runtime
   DEPENDS Boost 
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

## Declare a C++ library
# add_library(${PROJECT_NAME}
#   src/${PROJECT_NAME}/rosaic.cpp
# )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
add_executable(${PROJECT_NAME}_node src/rosaic/node/rosaic_node.cpp src/rosaic/communication/circular_buffer.cpp src/rosaic/parsers/parsing_utilities.cpp src/rosaic/parsers/string_utilities.cpp src/rosaic/parsers/nmea_parsers/gpgga.cpp src/rosaic/parsers/nmea_parsers/gprmc.cpp src/rosaic/parsers/nmea_parsers/gpgsa.cpp src/rosaic/parsers/nmea_parsers/gpgsv.cpp src/rosaic/crc/crc.c src/rosaic/communication/communication_core.cpp src/rosaic/communication/rx_message.cpp src/rosaic/communication/callback_handlers.cpp)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}_node 
   ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# catkin_install_python(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_executables.html
install(TARGETS ${PROJECT_NAME}_node
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark libraries for installation
## See http://docs.ros.org/melodic/api/catkin/html/howto/format1/building_libraries.html
#install(TARGETS septentrio-gnss-driver
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
#)

## Mark cpp header files for installation
#install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_rosaic.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-rosaic (1.0.5-1stretch) stretch; urgency=high

  * Merge pull request #21 <https://github.com/septentrio-gnss/rosaic/issues/21> from septentrio-gnss/local_tibor
    Added rosdoc.yaml file
  * Merge pull request #20 <https://github.com/septentrio-gnss/rosaic/issues/20> from septentrio-gnss/local_tibor
    Improved doxygen annotations
  * Merge pull request #19 <https://github.com/septentrio-gnss/rosaic/issues/19> from septentrio-gnss/local_tibor
    Improved doxygen annotations
  * Update README.md
  * Merge pull request #18 <https://github.com/septentrio-gnss/rosaic/issues/18> from septentrio-gnss/local_tibor
    Adopted ROS and C++ conventions, added ROS diagnostics msg,
  * Update README.md
  * Update README.md
  * Update README.md
  * Contributors: septentrio-users

 -- Septentrio <githubuser@septentrio.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.4-1stretch) stretch; urgency=high

  * Added rosdoc.yaml file
  * Improved doxygen annotations
  * Improved doxygen annotations
  * Adopted ROS and C++ conventions, added ROS diagnostics msg, removed ROS garbage value bug, added auto-detection of SBF arrival order for composite ROS msgs
  * Merge branch 'master' of https://github.com/septentrio-gnss/rosaic
  * NTRIP with Datalink, circular buffer, reading connection descriptor, new messages
  * Update README.md
  * Contributors: septentrio-users, tibordome

 -- Septentrio <githubuser@septentrio.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.3-1stretch) stretch; urgency=high

  * Add new config/rover.yaml file
  * Add config/rover.yaml to .gitignore
  * Merge pull request #17 <https://github.com/septentrio-gnss/rosaic/issues/17> from septentrio-gnss/local_tibor
    NTRIP with Datalink, circular buffer, reading connection descriptor..
  * Merge branch 'local_tibor'
  * NTRIP with Datalink, circular buffer, reading connection descriptor, new messages
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #16 <https://github.com/septentrio-gnss/rosaic/issues/16> from septentrio-gnss/local_tibor
    NTRIP parameters added, reconnect_delay_s implemented,
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #15 <https://github.com/septentrio-gnss/rosaic/issues/15> from tibordome/local_tibor
    GPSFix completed, datum as new parameter
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #14 <https://github.com/septentrio-gnss/rosaic/issues/14> from tibordome/local_tibor
    GPSFix completed, datum as new parameter
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #13 <https://github.com/septentrio-gnss/rosaic/issues/13> from tibordome/local_tibor
    Added AttCovEuler.msg and AttEuler.msg
  * Merge pull request #12 <https://github.com/septentrio-gnss/rosaic/issues/12> from tibordome/local_tibor
    Fixed service field of NavSatStatus
  * Contributors: Tibor Dome, septentrio-users, tibordome

 -- Septentrio <githubuser@septentrio.com>  Tue, 29 Sep 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.2-1stretch) stretch; urgency=high

  * NTRIP parameters added, reconnect_delay_s implemented, package.xml updated, ROSaic now detects connection descriptor automatically, mosaic serial port parameter added
  * GPSFix completed, datum as new parameter, ANT type and marker-to-arp distances as new parameters, BlockLength() method corrected, sending multiple commands to Rx corrected by means of mutex
  * Contributors: tibordome

 -- Septentrio <githubuser@septentrio.com>  Thu, 24 Sep 2020 23:00:00 -0000

ros-melodic-rosaic (1.0.1-1stretch) stretch; urgency=high

  * GPSFix completed, datum as new parameter, ANT type and marker-to-arp distances as new parameters, BlockLength() method corrected, sending multiple commands to Rx corrected by means of mutex
  * Added AttCovEuler.msg and AttEuler.msg
  * Fixed service field of NavSatStatus, fixed ROS header's seq field of each published ROS message, added write method for sending commands to Rx, successfully tested, added AttEuler, added AttCovEuler
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #11 <https://github.com/septentrio-gnss/rosaic/issues/11> from tibordome/local_tibor
    rosconsole_backend_interface dependency not needed
  * rosconsole_backend_interface dependency not needed
  * Merge pull request #10 <https://github.com/septentrio-gnss/rosaic/issues/10> from tibordome/local_tibor
    rosconsole_log4cxx dep not needed
  * rosconsole_log4cxx dep not needed
  * Merge pull request #9 <https://github.com/septentrio-gnss/rosaic/issues/9> from tibordome/local_tibor
    rosconsole_log4cxx dep not needed
  * rosconsole_log4cxx dep not needed
  * Merge pull request #8 <https://github.com/septentrio-gnss/rosaic/issues/8> from tibordome/local_tibor
    Local tibor
  * Update README.md
  * Merge pull request #7 <https://github.com/septentrio-gnss/rosaic/issues/7> from tibordome/local_tibor
    Ready for First Release
  * Update README.md
  * Update README.md
  * Update README.md
  * Merge pull request #6 <https://github.com/septentrio-gnss/rosaic/issues/6> from tibordome/local_tibor
    Local tibor
  * Merge pull request #5 <https://github.com/septentrio-gnss/rosaic/issues/5> from tibordome/local_tibor
    TCP seems to work
  * Contributors: Tibor Dome, tibordome

 -- Septentrio <githubuser@septentrio.com>  Mon, 21 Sep 2020 23:00:00 -0000



=== debian/control ===
Source: ros-melodic-rosaic
Section: misc
Priority: optional
Maintainer: Septentrio <githubuser@septentrio.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cpp-common, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-message-generation, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostime, ros-melodic-sensor-msgs, ros-melodic-xmlrpcpp
Homepage: https://github.com/septentrio-gnss/rosaic
Standards-Version: 3.9.2

Package: ros-melodic-rosaic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-cpp-common, ros-melodic-diagnostic-msgs, ros-melodic-geometry-msgs, ros-melodic-gps-common, ros-melodic-message-runtime, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-roscpp-serialization, ros-melodic-rostime, ros-melodic-sensor-msgs, ros-melodic-xmlrpcpp
Description: ROSaic: C++ Driver for Septentrio's mosaic Receivers and Beyond

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rosaic//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
